# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.79"
name = "rialo-s-program-pack"
version = "0.1.10"
authors = ["Anza Maintainers <maintainers@anza.xyz>"]
build = false
publish = ["crates-io"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Solana Pack serialization trait."
homepage = "https://anza.xyz/"
documentation = "https://docs.rs/rialo-s-program-pack"
readme = false
license = "Apache-2.0"
repository = "https://github.com/anza-xyz/agave"
resolver = "3"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[lib]
name = "rialo_s_program_pack"
path = "src/lib.rs"

[dependencies.rialo-s-program-error]
version = "^0.1.0"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = [
    'cfg(target_feature, values("static-syscalls"))',
    'cfg(target_os, values("solana"))',
    'cfg(feature, values("frozen-abi", "no-entrypoint", "custom-panic", "custom-heap"))',
]
